gdjs.titleCode = {};
gdjs.titleCode.GDboxfragileObjects1= [];
gdjs.titleCode.GDboxfragileObjects2= [];
gdjs.titleCode.GDnamegameObjects1= [];
gdjs.titleCode.GDnamegameObjects2= [];
gdjs.titleCode.GDbricklayerHEROObjects1= [];
gdjs.titleCode.GDbricklayerHEROObjects2= [];
gdjs.titleCode.GDfloorObjects1= [];
gdjs.titleCode.GDfloorObjects2= [];
gdjs.titleCode.GDgenezgamestextObjects1= [];
gdjs.titleCode.GDgenezgamestextObjects2= [];
gdjs.titleCode.GDteamObjects1= [];
gdjs.titleCode.GDteamObjects2= [];
gdjs.titleCode.GDstartObjects1= [];
gdjs.titleCode.GDstartObjects2= [];

gdjs.titleCode.conditionTrue_0 = {val:false};
gdjs.titleCode.condition0IsTrue_0 = {val:false};
gdjs.titleCode.condition1IsTrue_0 = {val:false};
gdjs.titleCode.condition2IsTrue_0 = {val:false};


gdjs.titleCode.mapOfGDgdjs_46titleCode_46GDstartObjects1Objects = Hashtable.newFrom({"start": gdjs.titleCode.GDstartObjects1});gdjs.titleCode.eventsList0xb4be0 = function(runtimeScene) {

{


gdjs.titleCode.condition0IsTrue_0.val = false;
{
gdjs.titleCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.sceneJustBegins(runtimeScene);
}if (gdjs.titleCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "move_background");
}}

}


{


gdjs.titleCode.condition0IsTrue_0.val = false;
{
gdjs.titleCode.condition0IsTrue_0.val = gdjs.evtTools.runtimeScene.timerElapsedTime(runtimeScene, 0.001, "move_background");
}if (gdjs.titleCode.condition0IsTrue_0.val) {
gdjs.titleCode.GDboxfragileObjects1.createFrom(runtimeScene.getObjects("boxfragile"));
{for(var i = 0, len = gdjs.titleCode.GDboxfragileObjects1.length ;i < len;++i) {
    gdjs.titleCode.GDboxfragileObjects1[i].setX(gdjs.titleCode.GDboxfragileObjects1[i].getX() - (1));
}
}{gdjs.evtTools.runtimeScene.resetTimer(runtimeScene, "move_background");
}}

}


{

gdjs.titleCode.GDboxfragileObjects1.createFrom(runtimeScene.getObjects("boxfragile"));

gdjs.titleCode.condition0IsTrue_0.val = false;
{
for(var i = 0, k = 0, l = gdjs.titleCode.GDboxfragileObjects1.length;i<l;++i) {
    if ( gdjs.titleCode.GDboxfragileObjects1[i].getX() < -(200) ) {
        gdjs.titleCode.condition0IsTrue_0.val = true;
        gdjs.titleCode.GDboxfragileObjects1[k] = gdjs.titleCode.GDboxfragileObjects1[i];
        ++k;
    }
}
gdjs.titleCode.GDboxfragileObjects1.length = k;}if (gdjs.titleCode.condition0IsTrue_0.val) {
/* Reuse gdjs.titleCode.GDboxfragileObjects1 */
{for(var i = 0, len = gdjs.titleCode.GDboxfragileObjects1.length ;i < len;++i) {
    gdjs.titleCode.GDboxfragileObjects1[i].setX(900);
}
}}

}


{


gdjs.titleCode.condition0IsTrue_0.val = false;
{
gdjs.titleCode.condition0IsTrue_0.val = gdjs.evtTools.input.isKeyPressed(runtimeScene, "Return");
}if (gdjs.titleCode.condition0IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.replaceScene(runtimeScene, "level_select", false);
}}

}


{

gdjs.titleCode.GDstartObjects1.createFrom(runtimeScene.getObjects("start"));

gdjs.titleCode.condition0IsTrue_0.val = false;
gdjs.titleCode.condition1IsTrue_0.val = false;
{
gdjs.titleCode.condition0IsTrue_0.val = gdjs.evtTools.input.cursorOnObject(gdjs.titleCode.mapOfGDgdjs_46titleCode_46GDstartObjects1Objects, runtimeScene, true, false);
}if ( gdjs.titleCode.condition0IsTrue_0.val ) {
{
gdjs.titleCode.condition1IsTrue_0.val = gdjs.evtTools.input.isMouseButtonReleased(runtimeScene, "Left");
}}
if (gdjs.titleCode.condition1IsTrue_0.val) {
{gdjs.evtTools.runtimeScene.replaceScene(runtimeScene, "level_select", false);
}}

}


}; //End of gdjs.titleCode.eventsList0xb4be0


gdjs.titleCode.func = function(runtimeScene) {
runtimeScene.getOnceTriggers().startNewFrame();

gdjs.titleCode.GDboxfragileObjects1.length = 0;
gdjs.titleCode.GDboxfragileObjects2.length = 0;
gdjs.titleCode.GDnamegameObjects1.length = 0;
gdjs.titleCode.GDnamegameObjects2.length = 0;
gdjs.titleCode.GDbricklayerHEROObjects1.length = 0;
gdjs.titleCode.GDbricklayerHEROObjects2.length = 0;
gdjs.titleCode.GDfloorObjects1.length = 0;
gdjs.titleCode.GDfloorObjects2.length = 0;
gdjs.titleCode.GDgenezgamestextObjects1.length = 0;
gdjs.titleCode.GDgenezgamestextObjects2.length = 0;
gdjs.titleCode.GDteamObjects1.length = 0;
gdjs.titleCode.GDteamObjects2.length = 0;
gdjs.titleCode.GDstartObjects1.length = 0;
gdjs.titleCode.GDstartObjects2.length = 0;

gdjs.titleCode.eventsList0xb4be0(runtimeScene);
return;

}
gdjs['titleCode'] = gdjs.titleCode;
